"use strict";

var _box = require("../components/box");

var _modalLayout = require("../components/modalLayout");

var _modalTitle = require("../components/modalTitle");

const errorModal = (screen, application) => {
  const errorLayout = new _modalLayout.ModalLayout(screen, 112, 20, true);

  const closeModal = () => {
    application.setIsModalOpen(false);
    application.returnFocus();
    errorLayout.destroy();
  };

  new _modalTitle.ModalTitle(errorLayout, 110, "Setup Relay?");
  new _box.Box(errorLayout, 110, 13, "\n\nThe Relay feature is only available for functions using a Node.js runtime environment");
  new _box.Box(errorLayout, 110, 4, "ESC to close");
  errorLayout.focus();
  errorLayout.key(["escape"], () => {
    // Discard modal
    closeModal();
  });
};

module.exports = {
  errorModal
};